# Generated by Django 2.2 on 2019-10-08 18:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Match',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('season', models.PositiveIntegerField()),
                ('city', models.CharField(max_length=100)),
                ('date', models.DateField()),
                ('team1', models.CharField(max_length=128)),
                ('team2', models.CharField(max_length=128)),
                ('toss_winner', models.CharField(max_length=128)),
                ('toss_decision', models.CharField(max_length=128)),
                ('result', models.CharField(max_length=128)),
                ('dl_applied', models.PositiveSmallIntegerField()),
                ('winner', models.CharField(max_length=128)),
                ('win_by_runs', models.PositiveSmallIntegerField()),
                ('win_by_wickets', models.PositiveSmallIntegerField()),
                ('player_of_match', models.CharField(max_length=128)),
                ('venue', models.CharField(max_length=200)),
                ('umpire1', models.CharField(max_length=100)),
                ('umpire2', models.CharField(max_length=100)),
                ('umpire3', models.CharField(max_length=100, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inning', models.PositiveSmallIntegerField()),
                ('batting_team', models.CharField(max_length=128)),
                ('bowling_team', models.CharField(max_length=128)),
                ('over', models.PositiveSmallIntegerField()),
                ('ball', models.PositiveSmallIntegerField()),
                ('batsman', models.CharField(max_length=128)),
                ('non_striker', models.CharField(max_length=128)),
                ('bowler', models.CharField(max_length=128)),
                ('is_super_over', models.PositiveSmallIntegerField()),
                ('wide_runs', models.PositiveSmallIntegerField()),
                ('bye_runs', models.PositiveSmallIntegerField()),
                ('legbye_runs', models.PositiveSmallIntegerField()),
                ('noball_runs', models.PositiveSmallIntegerField()),
                ('penalty_runs', models.PositiveSmallIntegerField()),
                ('batsman_runs', models.PositiveSmallIntegerField()),
                ('extra_runs', models.PositiveSmallIntegerField()),
                ('total_runs', models.PositiveSmallIntegerField()),
                ('player_dismissed', models.CharField(max_length=128, null=True)),
                ('dismissal_kind', models.CharField(max_length=128, null=True)),
                ('fielder', models.CharField(max_length=128, null=True)),
                ('match_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='charts.Match')),
            ],
        ),
    ]
